# bash completion for fuse

have fusermount &&
_fusermount()
{
    COMPREPLY=()
    local cur prev
    _get_comp_words_by_ref cur prev

    case $prev in
        -h|-V|-o)
            return 0
            ;;
        -u)
            COMPREPLY=( $( compgen -W "$( awk \
                '{ if ($3 ~ /^fuse\./) print $2 }' /etc/mtab 2>/dev/null )" \
                -- "$cur" ) )
            return 0
            ;;
    esac

    if [[ "$cur" == -* ]] ; then
        COMPREPLY=( $( compgen -W '-h -V -o -u -q -z' -- "$cur" ) )
    else
        _filedir -d
    fi
} &&
complete -F _fusermount -o filenames fusermount

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
